import java.util.Collection;

import javax.persistence.EntityManager;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public void removeParkingSpace(int empId) {
    Professor emp = em.find(Professor.class, empId);
    emp.setParkingSpace(null);
    em.remove(emp.getParkingSpace());

  }

  public void removeParkingSpaceWithFailure(int empId) {
    Professor emp = em.find(Professor.class, empId);
    em.remove(emp.getParkingSpace());
  }

  public Collection<Professor> findAllProfessors() {
    return (Collection<Professor>) em.createQuery("SELECT e FROM Professor e").getResultList();
  }
}
